defmodule DaProductApp.Repo.Migrations.CreateProviders do
  use Ecto.Migration

  def up do
    execute("""
    CREATE TABLE providers (
      id BIGINT UNSIGNED AUTO_INCREMENT PRIMARY KEY,
      name VARCHAR(255) NOT NULL,
      status VARCHAR(255) NOT NULL,
      production_url VARCHAR(255),
      production_mode VARCHAR(255) NOT NULL,
      description VARCHAR(255),
      inserted_at DATETIME NOT NULL,
      updated_at DATETIME NOT NULL
    ) ENGINE=InnoDB
    """)
  end

  def down do
    execute("DROP TABLE IF EXISTS providers")
  end
end
